# Interface IExecutionResult

All Known Implementing Classes:
  `ArrowStreamResult`, `InlineJsonResult`, `LazyThriftResult`, `VolumeOperationResult`

public interface IExecutionResult
Interface to provide methods over an underlying statement result

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the result set and releases any in-memory chunks or data
`long`
`getChunkCount()`
`long`
`getCurrentRow()`
Gets the current row position, starting with 0.
`Object`
`getObject(int columnIndex)`
Get the object for given column index.
`long`
`getRowCount()`
`boolean`
`hasNext()`
Returns if there is next row in the result set
`boolean`
`next()`
Moves the cursor to next row and returns true if this can be done

## Method Details

### getObject

Object getObject(int columnIndex) throws DatabricksSQLException
Get the object for given column index. Here index starts with 0.

Parameters:
  `columnIndex` - index of column starting with 0
Returns:
  object at given index
Throws:
  `DatabricksSQLException` - if there is any error in getting object

### getCurrentRow

long getCurrentRow()
Gets the current row position, starting with 0.

Returns:
  the current row position

### next

boolean next() throws DatabricksSQLException
Moves the cursor to next row and returns true if this can be done

Returns:
  true if cursor is moved at next row
Throws:
  `DatabricksSQLException`

### hasNext

boolean hasNext()
Returns if there is next row in the result set

### close

void close()
Closes the result set and releases any in-memory chunks or data

### getRowCount

long getRowCount()

### getChunkCount

long getChunkCount()